## ros-indigo-open-controllers-interface 1.1.0

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(open_controllers_interface)

find_package(catkin REQUIRED COMPONENTS pr2_controller_manager roscpp std_srvs diagnostic_msgs diagnostic_updater)

catkin_package(
  DEPENDS
  CATKIN-DEPENDS pr2_controller_manager pr2_controller_manager roscpp std_srvs diagnostic_msgs diagnostic_updater
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/open_controllers_interface.cpp include/open_controllers_interface/open_controllers_interface.h)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-open-controllers-interface (1.1.0-0trusty) trusty; urgency=high

  * indent warning output
  * minor fix
  * add a boilerplait for recovering controller
  * g_halt_motors_ is not used
  * do not use raw pointer
  * follow standard c++ style class member naming
  * add initializeCM virtual function for pre/post-processing by successor
  * Contributors: Shohei Fujii

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Oct 2015 15:00:00 -0000

ros-indigo-open-controllers-interface (1.0.0-0trusty) trusty; urgency=high

  * set default target to indigo
  * remove old rosbuild settings
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Oct 2015 15:00:00 -0000

ros-indigo-open-controllers-interface (0.1.4-0trusty) trusty; urgency=high

  * remove unused %s, this causes segfault as reported on #14
  * Contributors: Wataru Yasuda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2013 15:00:00 -0000

ros-indigo-open-controllers-interface (0.1.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Dec 2013 15:00:00 -0000

ros-indigo-open-controllers-interface (0.1.2-0trusty) trusty; urgency=high

  * open_controllers_interface) install header to appropriate location (fix to https://github.com/start-jsk/open_industrial_ros_controllers/issues/11)
  * Contributors: Isao Isaac Saito, Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 18 Nov 2013 15:00:00 -0000

ros-indigo-open-controllers-interface (0.1.1-0trusty) trusty; urgency=high

  * open_controllers_interface) Install headers.
  * Contributors: Isao Isaac Saito
  * Initial release

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 17 Nov 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-open-controllers-interface
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-pr2-controller-manager, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-open-controllers-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-pr2-controller-manager, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-std-srvs
Description: This package provides generic capability for industrial controllers. Please see open_industrial_ros_controllers for overall description.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-open-controllers-interface//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
